commit:     c0129ced1fa6db3f3151af357854bb5c9017ecc8
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 25 17:14:34 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Mar 25 17:14:34 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=c0129ced

sci-chemistry/mgltools-geomutils: Add missing die

Package-Manager: portage-2.2.18

 sci-chemistry/mgltools-geomutils/ChangeLog                       | 3 +++
 sci-chemistry/mgltools-geomutils/mgltools-geomutils-1.5.6.ebuild | 4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/sci-chemistry/mgltools-geomutils/ChangeLog 
b/sci-chemistry/mgltools-geomutils/ChangeLog
index 418d573..15c9059 100644
--- a/sci-chemistry/mgltools-geomutils/ChangeLog
+++ b/sci-chemistry/mgltools-geomutils/ChangeLog
@@ -3,6 +3,9 @@
 # $Header: $
 
   25 Mar 2015; Justin Lecher <[email protected]> mgltools-geomutils-1.5.6.ebuild:
+  sci-chemistry/mgltools-geomutils: Add missing die
+
+  25 Mar 2015; Justin Lecher <[email protected]> mgltools-geomutils-1.5.6.ebuild:
   sci-chemistry/mgltools-geomutils: Drop PYTHON_MODNAME and support for
   python2_6
 

diff --git a/sci-chemistry/mgltools-geomutils/mgltools-geomutils-1.5.6.ebuild 
b/sci-chemistry/mgltools-geomutils/mgltools-geomutils-1.5.6.ebuild
index 023c781..66eb7c4 100644
--- a/sci-chemistry/mgltools-geomutils/mgltools-geomutils-1.5.6.ebuild
+++ b/sci-chemistry/mgltools-geomutils/mgltools-geomutils-1.5.6.ebuild
@@ -27,8 +27,8 @@ DEPEND="${RDEPEND}
 S="${WORKDIR}"/${MY_P}
 
 src_unpack() {
-       tar xzpf "${DISTDIR}"/${A} 
mgltools_source_${PV/_/}/MGLPACKS/${MY_P}.tar.gz
-       tar xzpf mgltools_source_${PV/_/}/MGLPACKS/${MY_P}.tar.gz
+       tar xzpf "${DISTDIR}"/${A} 
mgltools_source_${PV/_/}/MGLPACKS/${MY_P}.tar.gz || die
+       tar xzpf mgltools_source_${PV/_/}/MGLPACKS/${MY_P}.tar.gz || die
 }
 
 python_prepare_all() {

Reply via email to